#!/usr/bin/env node
import mri from 'mri';
import { resolve } from 'pathe';
import { prepareModule, buildModule } from './index.mjs';
import 'fs';
import 'url';
import 'consola';
import 'mlly';

function main() {
  const args = mri(process.argv.slice(2));
  if (args._[0] === "prepare") {
    return prepareModule({
      rootDir: resolve(args._[1] || ".")
    });
  }
  return buildModule({
    rootDir: resolve(args._[0] || "."),
    outDir: args.outDir,
    sourcemap: args.sourcemap,
    stub: args.stub
  });
}
main().catch((err) => {
  console.error(err);
  process.exit(1);
});
